org.apache.ignite.internal.processors.igfs

## Class IgfsProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.igfs.IgfsProcessorAdapter
    - - org.apache.ignite.internal.processors.igfs.IgfsProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class IgfsProcessor
    extends IgfsProcessorAdapter

Fully operational Ignite file system processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgfsProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`ComputeJob` `createJob(IgfsJob job, String igfsName, IgfsPath path, long start, long len, IgfsRecordResolver recRslv)` Create compute job for the given IGFS job.
`Collection<IpcServerEndpoint>` `endpoints(String name)` Gets server endpoints for particular IGFS.
`IgniteFileSystem` `igfs(String name)` Gets IGFS instance.
`Collection<IgniteFileSystem>` `igfss()` Gets all IGFS instances.
`void` `onKernalStart()` Callback that notifies that kernal has successfully started, including all managers and processors.
`void` `onKernalStop(boolean cancel)` Callback to notify that kernal is about to stop.
`void` `printMemoryStats()` Prints memory statistics (sizes of internal structures, etc.).
`void` `start()` Starts grid component.
`void` `stop(boolean cancel)` Stops grid component.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsProcessor

    public IgfsProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Specified by:
  `start` in interface `GridComponent`
Overrides:
  `start` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### onKernalStart

    public void onKernalStart()
                       throws IgniteCheckedException

Callback that notifies that kernal has successfully started, including all managers and processors.

Specified by:
  `onKernalStart` in interface `GridComponent`
Overrides:
  `onKernalStart` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### stop

    public void stop(boolean cancel)

Stops grid component.

Specified by:
  `stop` in interface `GridComponent`
Overrides:
  `stop` in class `GridProcessorAdapter`
Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.

#### onKernalStop

    public void onKernalStop(boolean cancel)

Callback to notify that kernal is about to stop.

Specified by:
  `onKernalStop` in interface `GridComponent`
Overrides:
  `onKernalStop` in class `GridProcessorAdapter`
Parameters:
  `cancel` - Flag indicating whether jobs should be canceled.

#### printMemoryStats

    public void printMemoryStats()

Prints memory statistics (sizes of internal structures, etc.). NOTE: this method is for testing and profiling purposes only.

Specified by:
  `printMemoryStats` in interface `GridComponent`
Overrides:
  `printMemoryStats` in class `GridProcessorAdapter`

#### igfss

    public Collection<IgniteFileSystem> igfss()

Gets all IGFS instances.

Specified by:
  `igfss` in class `IgfsProcessorAdapter`
Returns:
  Collection of IGFS instances.

#### igfs

    @Nullable
    public IgniteFileSystem igfs(@Nullable
                                 String name)

Gets IGFS instance.

Specified by:
  `igfs` in class `IgfsProcessorAdapter`
Parameters:
  `name` - (Nullable) IGFS name.
Returns:
  IGFS instance.

#### endpoints

    @Nullable
    public Collection<IpcServerEndpoint> endpoints(@Nullable
                                                   String name)

Gets server endpoints for particular IGFS.

Specified by:
  `endpoints` in class `IgfsProcessorAdapter`
Parameters:
  `name` - IGFS name.
Returns:
  Collection of endpoints or `null` in case IGFS is not defined.

#### createJob

    @Nullable
    public ComputeJob createJob(IgfsJob job,
                                @Nullable
                                String igfsName,
                                IgfsPath path,
                                long start,
                                long len,
                                IgfsRecordResolver recRslv)

Create compute job for the given IGFS job.

Specified by:
  `createJob` in class `IgfsProcessorAdapter`
Parameters:
  `job` - IGFS job.
  `igfsName` - IGFS name.
  `path` - Path.
  `start` - Start position.
  `len` - Length.
  `recRslv` - Record resolver.
Returns:
  Compute job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015